#!/bin/sh

LN=/bin/ln
CP=/bin/cp

tc=trashcan
RM=rm
DESTROY=destroy
RESTORE=restore
PURGE=purge

man1=trashcan.1
LT=lt

if [ -f /bin/$RM ]; then
	if /bin/$RM --version | grep trashcan; then
		echo Trashcan is already installed on your system... Quiting
		exit 0
	else
		mv /bin/$RM /bin/$RM.old
	fi
fi

echo -n "Installing `$tc --version` on your system."
$CP $tc /bin; chmod 0555 /bin/$tc
echo -n .; $LN -sf /bin/$tc /bin/$RM
echo -n .; $LN -sf /bin/$tc /bin/$DESTROY
echo -n .; $LN -sf /bin/$tc /bin/$RESTORE
echo -n .; $LN -sf /bin/$tc /bin/$PURGE
echo done; $LN -sf /bin/$tc /bin/$LT

$CP $man1 /usr/man/man1; chmod 644 /usr/man/man1/$man1
